Bug 499919 - gpk-update-viewer download size not decreased when updates are unchecked
gpk-update-viewer download size not decreased when updates are unchecked
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 18:52 EDT by Sam
Modified: 2010-03-23 06:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 06:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam 2009-05-08 18:52:53 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4

In gpk-update-viewer, when I uncheck an update's install box, the total download size displayed in the bottom-right corner of the window doesn't decrease. If there are other updates still checked after unchecking an update, the total download size goes up instead of down! The total download size is still increased when I re-select an update, so it might end up reading "1 update selected (175 MB)" when the selected update is only 3 MB.

Reproducible: Always

Steps to Reproduce:
1. Open gpk-update-viewer
2. Check total download size.
3. Uncheck an update's Install box
4. See an increased total download size.
Actual Results:  
Total download size is too high.

Expected Results:  
Correct total download size.

This is on F11 Preview installed from LiveCD, with most updates installed (what's left doesn't look relevent to this bug.)

rpm versions:
PackageKit.i586                 0.4.6-8.fc11
gnome-packagekit.i586           2.27.2-0.2.20090414git.fc11
Comment 1 Richard Hughes 2009-06-03 05:31:46 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5750 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5748 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 2 Sam 2009-06-03 23:44:53 EDT
This bug is fixed after installing those updates. Thanks! I'll add karma to the gnome-packagekit update, but the PackageKit update apparently doesn't get along with kpackagekit, so I feel like I should leave that one alone.
Comment 3 Bug Zapper 2009-06-09 11:30:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.